package de.jottyfan.camporganizer.module.registration.model;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 *
 * @author jotty
 *
 */
public class CampBean implements Serializable {
	private static final long serialVersionUID = 1L;

	private Integer pk;
	private String name;
	private Integer year;
	private LocalDateTime startBooking;
	private Boolean bookingHasStarted;

	/**
	 * @return the pk
	 */
	public Integer getPk() {
		return pk;
	}

	/**
	 * @param pk the pk to set
	 */
	public void setPk(Integer pk) {
		this.pk = pk;
	}

	/**
	 * @return the name
	 */
	public String getName() {
		return name;
	}

	/**
	 * @param name the name to set
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * @return the year
	 */
	public Integer getYear() {
		return year;
	}

	/**
	 * @param year the year to set
	 */
	public void setYear(Integer year) {
		this.year = year;
	}

	/**
	 * @return the bookingHasStarted
	 */
	public Boolean getBookingHasStarted() {
		return bookingHasStarted;
	}

	/**
	 * @param bookingHasStarted the bookingHasStarted to set
	 */
	public void setBookingHasStarted(Boolean bookingHasStarted) {
		this.bookingHasStarted = bookingHasStarted;
	}

	/**
	 * @return the startBooking
	 */
	public LocalDateTime getStartBooking() {
		return startBooking;
	}

	/**
	 * @param startBooking the startBooking to set
	 */
	public void setStartBooking(LocalDateTime startBooking) {
		this.startBooking = startBooking;
	}
}
